Ticket #6140: numpy-1.3.0-update.patch

File numpy-1.3.0-update.patch, 1.4 KB (added by jason, 10 years ago)
  • sage/plot/plot_field.py

    # HG changeset patch
    # User Jason Grout <jason-sage@creativetrax.com>
    # Date 1243464112 18000
    # Node ID bb66d22859665c75ec7e8a278ba9487d9e49cbb6
    # Parent  1653936805381d47b64267c603e59c579ac17ff8
    [mq]: numpy-1.3.0-update.patch
    
    diff -r 165393680538 -r bb66d2285966 sage/plot/plot_field.py
    a b  
    4545            [0.0, 0.0, 1.0, 1.0]
    4646            sage: r.yvec_array
    4747            masked_array(data = [0.0 0.707106781187 0.707106781187 0.894427191],
    48                   mask = [False False False False],
    49                   fill_value=1e+20)
     48                         mask = [False False False False],
     49                   fill_value = 1e+20)
    5050
    5151        TESTS:
    5252
  • sage/rings/polynomial/polynomial_element.pyx

    diff -r 165393680538 -r bb66d2285966 sage/rings/polynomial/polynomial_element.pyx
    a b  
    40484048            sage: p.roots(ring=RR, algorithm='numpy')
    40494049            Traceback (most recent call last):
    40504050            ...
    4051             ValueError: array must not contain infs or NaNs
     4051            LinAlgError: Array must not contain infs or NaNs
    40524052            sage: p.roots(ring=RR, algorithm='pari')
    40534053            [(-3.50746621104340e451, 1)]
    40544054            sage: p.roots(ring=AA)